## org.apache.commons.collections.map
Class TypedMap

    java.lang.Object
      org.apache.commons.collections.map.TypedMap

public class TypedMap
extends Object

Decorates another `Map` to validate that elements added are of a specific type.

The validation of additions is performed via an instanceof test against a specified `Class`. If an object cannot be added to the collection, an IllegalArgumentException is thrown.

The returned implementation is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/07 23:17:13 $
Author:
  Stephen Colebourne, Matthew Hawthorne

Constructor Summary
`protected` `TypedMap()` Restrictive constructor.

Method Summary
`static Map` `decorate(Map map, Class keyType, Class valueType)` Factory method to create a typed map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypedMap

    protected TypedMap()

  Restrictive constructor.

Method Detail

### decorate

    public static Map decorate(Map map,
                               Class keyType,
                               Class valueType)

  Factory method to create a typed map.

  If there are any elements already in the map being decorated, they are validated.

  Parameters:
    `map` - the map to decorate, must not be null
    `keyType` - the type to allow as keys, must not be null
    `valueType` - the type to allow as values, must not be null
  Throws:
    `IllegalArgumentException` - if list or type is null
    `IllegalArgumentException` - if the list contains invalid elements

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.